#ifndef USART_H
#define USART_H

#include "p24fj48ga002.h"
#include <string.h>
#include <stdio.h>

#define XTFREQ 4000000 //On-board Crystal frequency
//#define PLLMODE (1/2) //On-chip PLL setting
#define FCY XTFREQ/2 //Instruction Cycle Frequency



//Prototypes
/*****************************************************************************
 * Function: UART1Init
 *
 * Precondition: None.
 *
 * Overview: Setup UART1 module.
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/
void InitUART1(int Baud, int RXpin, int TXpin );

/*****************************************************************************
 * Function: UART2Init
 *
 * Precondition: None.
 *
 * Overview: Setup UART2 module.
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/
void InitUART2(int Baud, int RXpin, int TXpin );

void TX1 (char *strTX);

void TX2 (char *strTX);

#endif

