#define MAIN_C
#include "I2C1.h"
#include "main.h"


// JTAG/Code Protect/Write Protect/Clip-on Emulation mode
// Watchdog Timer/ICD pins select
_CONFIG1(JTAGEN_OFF & GCP_OFF & GWRP_OFF & COE_OFF & FWDTEN_OFF & ICS_PGx2)

// Internal FRC OSC with divider @ 4MHz  
//FNOSC_FRCDIV - Fast RC oscillator with divide
//OSCIOFNC_ON  - enable the oscillator pins as IO  
//POSCMOD_NONE - Primary (external) oscillator disabled  
_CONFIG2(FNOSC_FRCDIV & OSCIOFNC_ON & POSCMOD_NONE)



int main(void) 
{
	CLKDIVbits.RCDIV = 0x1; //Select the divider (divide by 2), FRC Postscaler Select bits
	
	InitIO();
	
	//InitUARTx(int Baud, int RXpin, int TXpin)
	//InitUART1(4800, 6, 9);
	InitUART2(9600, 6, 7);

	InitADC();	
	
	InitI2C1();
	//////////////////////////
//	unsigned int config2, config1;
//	
//	config2 = 0x11;/* Baud rate is set for 100 Khz */
//
//   /* Configure I2C for 7 bit address mode */
//	config1 = (I2C_ON | I2C_IDLE_CON | I2C_CLK_HLD |I2C_IPMI_DIS | I2C_7BIT_ADD
//            | I2C_SLW_DIS | I2C_SM_DIS | I2C_GCALL_DIS | I2C_STR_DIS | I2C_NACK
//            | I2C_ACK_DIS | I2C_RCV_DIS |I2C_STOP_DIS | I2C_RESTART_DIS | I2C_START_DIS);
//
//	OpenI2C2(config1,config2);
//	
//	OpenI2C2(config1,config2);
//	IdleI2C2();
//	StartI2C2();
//
//	
	/////////////////////////
	while(1)
	{	
		//TX2("  estou vivo  ");
		//mudaPORTB(); //liga
		
		wait(1);
		
		char strADC[100];	
		unsigned int x_val, y_val, z_val;
	   
	   
	   //adicionado
//		x_val = readRegister(0x29); //Read outx_l
//		if(x_val > 127)
//		{
//			x_val = ~x_val;
//			x_val = x_val + 1;
//			x_val = -1*x_val;
//		}
//		//
//		sprintf(strADC,"Accelerometer Xvalue: %d ", x_val);
//		TX2(strADC); x_val=0;
//
//		y_val = readRegister(0x2B); //Read outy_l
//		if(y_val > 127)
//		{
//			y_val = ~y_val;
//			y_val = y_val + 1;
//			y_val = -1*y_val;
//		}
//		sprintf(strADC,"Accelerometer Yvalue: %d ", y_val);
//		TX2(strADC);y_val=0;
//		
//		z_val = readRegister(0x2D); //Read outz_l
//		if(z_val > 127)
//		{
//			z_val = ~z_val;
//			z_val = z_val + 1;
//			z_val = -1*z_val;
//		}
//		sprintf(strADC,"Accelerometer Zvalue: %d ", z_val);
//		TX2(strADC);z_val=0;
		

//		if (ADC_Dist_F == 1)
//		{
//			sprintf(strADC," AN11 obstaculo a : %d (cm)", ADC_Dist);
//			TX2(strADC);
//			
//			ADC_Dist_F = 0;
//		}
//		
//		if (ADC_Dist2_F == 1)
//		{
//			sprintf(strADC," AN12 obstaculo a : %d (cm)", ADC_Dist2);
//			TX2(strADC);
//			
//			ADC_Dist2_F = 0;
//		}
		
		if (ADC_Mag1_F==1 && ADC_Mag1_F==1)
		{
			double azimuth;

			azimuth = Azimuth(ADC_Mag1, ADC_Mag2);
			sprintf(strADC," The azimuth is : %f  degrees (chA: %d ; chB: %d)", azimuth, ADC_Mag1, ADC_Mag2);
			TX2(strADC);	
			
			ADC_Mag1_F = 0; ADC_Mag2_F = 0;
		}
		TX2("   ");
	}
	return 0; 
}
